ObservableNumberValue (JavaFX 19)
Description: declaration: module: javafx.base, package: javafx.beans.value, interface: ObservableNumberValue

Module javafx.base
Package javafx.beans.value

# Interface ObservableNumberValue

All Superinterfaces:
  `Observable`, `ObservableValue<Number>`

All Known Subinterfaces:
  `NumberBinding`, `NumberExpression`, `ObservableDoubleValue`, `ObservableFloatValue`, `ObservableIntegerValue`, `ObservableLongValue`

All Known Implementing Classes:
  `DoubleBinding`, `DoubleExpression`, `DoubleProperty`, `DoublePropertyBase`, `FloatBinding`, `FloatExpression`, `FloatProperty`, `FloatPropertyBase`, `IntegerBinding`, `IntegerExpression`, `IntegerProperty`, `IntegerPropertyBase`, `JavaBeanDoubleProperty`, `JavaBeanFloatProperty`, `JavaBeanIntegerProperty`, `JavaBeanLongProperty`, `LongBinding`, `LongExpression`, `LongProperty`, `LongPropertyBase`, `NumberExpressionBase`, `ReadOnlyDoubleProperty`, `ReadOnlyDoublePropertyBase`, `ReadOnlyDoubleWrapper`, `ReadOnlyFloatProperty`, `ReadOnlyFloatPropertyBase`, `ReadOnlyFloatWrapper`, `ReadOnlyIntegerProperty`, `ReadOnlyIntegerPropertyBase`, `ReadOnlyIntegerWrapper`, `ReadOnlyJavaBeanDoubleProperty`, `ReadOnlyJavaBeanFloatProperty`, `ReadOnlyJavaBeanIntegerProperty`, `ReadOnlyJavaBeanLongProperty`, `ReadOnlyLongProperty`, `ReadOnlyLongPropertyBase`, `ReadOnlyLongWrapper`, `SimpleDoubleProperty`, `SimpleFloatProperty`, `SimpleIntegerProperty`, `SimpleLongProperty`, `SimpleStyleableDoubleProperty`, `SimpleStyleableFloatProperty`, `SimpleStyleableIntegerProperty`, `SimpleStyleableLongProperty`, `StyleableDoubleProperty`, `StyleableFloatProperty`, `StyleableIntegerProperty`, `StyleableLongProperty`

public interface ObservableNumberValue extends ObservableValue<Number>
A common interface of all sub-interfaces of `ObservableValue` that wrap a number.

Since:
  JavaFX 2.0
See Also:
  - `ObservableValue`
  - `ObservableDoubleValue`
  - `ObservableFloatValue`
  - `ObservableIntegerValue`
  - `ObservableLongValue`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `doubleValue()`
  Returns the value of this `ObservableNumberValue` as a `double`.
  `float`
  `floatValue()`
  Returns the value of this `ObservableNumberValue` as a `float`.
  `int`
  `intValue()`
  Returns the value of this `ObservableNumberValue` as an `int` .
  `long`
  `longValue()`
  Returns the value of this `ObservableNumberValue` as a `long` .

  ### Methods declared in interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `addListener, flatMap, getValue, map, orElse, removeListener`

- ## Method Details

  - ### intValue

    int intValue()
    Returns the value of this `ObservableNumberValue` as an `int` . If the value is not an `int`, a standard cast is performed.
    Returns:
      The value of this `ObservableNumberValue` as an `int`

  - ### longValue

    long longValue()
    Returns the value of this `ObservableNumberValue` as a `long` . If the value is not a `long`, a standard cast is performed.
    Returns:
      The value of this `ObservableNumberValue` as a `long`

  - ### floatValue

    float floatValue()
    Returns the value of this `ObservableNumberValue` as a `float`. If the value is not a `float`, a standard cast is performed.
    Returns:
      The value of this `ObservableNumberValue` as a `float`

  - ### doubleValue

    double doubleValue()
    Returns the value of this `ObservableNumberValue` as a `double`. If the value is not a `double`, a standard cast is performed.
    Returns:
      The value of this `ObservableNumberValue` as a `double`